Bug 860637 - glxgears hangs after suspend-resume when using nodebug kernel
glxgears hangs after suspend-resume when using nodebug kernel
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 07:32 EDT by Petr Kočandrle
Modified: 2015-06-29 07:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:40:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kočandrle 2012-09-26 07:32:50 EDT
Description of problem:
When I suspend my netbook and resume it, all accelerated graphics work is very slow and CPU is throttled by gnome-shell and Xorg.

Version-Release number of selected component (if applicable):
F18 nouveau testday iso

How reproducible:
Everytime

Steps to Reproduce:
1. Start system
2. Suspend
3. Resume
  
Actual results:
All gnome effects are very slow (2-5 fps), glxgears animation is moving for 1 second, than for 3 seconds it stays still etc.

Expected results:
Smooth effects, glxgears not hanging.

Additional info:
VGA ION (GeForce 9400M) - HW profile is here http://www.smolts.org/client/show/pub_83fff41b-335c-475b-b78c-9605a51585a1
Comment 1 Troy A. Griffitts 2012-10-12 09:33:49 EDT
Same for me.  I have to reboot my machine if I want normal performance.  I have a high end AMD/ATI FirePro GL card using ATI drivers, so different video hardware/drivers at play here.
Comment 2 Petr Kočandrle 2012-10-13 15:19:09 EDT
The problem occured also when I started X by startx. It was resolved by adding liveuser to video group and log out/log in. Maybe this suspend-resume performance problem can be resolved by this too. I wasn't able to test it yet...
Comment 3 Ward 2012-12-03 09:17:04 EST
I'm also seeing this problem (with the r600g drivers on a rv620). After a fresh booting, everything is smooth. One suspend, and everything is slow as hell (firefox being a very good example, rendering a single page is slow...). However, after downgrading to the latest 3.5 kernel, it seems to be solved. It seems to be an issue in the 3.6 kernel.
Comment 4 Martin 2013-06-11 12:41:56 EDT
Petr, are you able to reproduce it on latest Fedora 18 or 19?
Comment 5 Martin 2013-06-11 12:44:18 EDT
Ward, this bugreport is against Nouveau driver. Are you able to reproduce it on latest Fedora 18 or 19? If true, please file new bugreport against Radeon driver.
Comment 6 Petr Kočandrle 2013-06-27 03:37:01 EDT
I've just tested that on F19 RC1 live. Gnome effects seems to be ok but glxgears are still hanging a lot after suspend-resume cycle. When I added liveuser to group video as on Fedora 18 live, there was no change this time. The only case when glxgears ran smoothly without any hangs was after a fresh boot. CPU load after fresh boot was around gnome-shell 80% and glxgears 50%. There was nothing else important there. After suspend-resume there was gnome-shell at 80-100%, glxgears 10-60% and X 10-50%. When I run it on an installed F19, the situation is very alike to live system, but there is Xorg process instead of X with similar CPU load.
Comment 7 Fedora End Of Life 2013-12-21 03:57:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Martin 2014-01-03 12:30:57 EST
How does it work on Fedora 20?
Comment 9 Petr Kočandrle 2014-01-06 07:25:38 EST
Unfortunately even worse :-( When I run glxgears after suspend-resume, there are much longer hangs, but not only glxgears hangs, but the whole environment. Even mouse cursor hangs, no windows can be switched for ~15 seconds, then it runs for 2 seconds and then comes another hang. Adding myself into video group has no effect at all.

xorg-x11-drv-nouveau.i686 1:1.0.9-2.fc20
xorg-x11-server-Xorg.i686 1.14.4-5.fc20
mesa-libGL.i686 9.2.5-1.20131220.fc20
mesa-libGLU.i686 9.0.0-4.fc20
Comment 10 Petr Kočandrle 2014-01-06 14:53:34 EST
I've just tested it in Rawhide and I do not observe such behaviour. The whole gnome is very slow due to debug binaries, but the performance before and after suspend-resume is mostly the same and there are no hangs.

xorg-x11-drv-nouveau.i686 1:1.0.9-6.fc21
xorg-x11-server-Xorg.i686 1.14.99.904-1.fc21
mesa-libGL.i686 10.0.1-1.20131220.fc21
mesa-libGLU.i686 9.0.0-4.fc21
Comment 11 Martin 2014-01-08 01:28:44 EST
Can you provides also kernel versions for both?

Please test F20 with Rawhide nodebug kernel.
https://fedoraproject.org/wiki/RawhideKernelNodebug
Comment 12 Petr Kočandrle 2014-01-08 07:57:43 EST
The versions are:
kernel-PAE.i686 3.12.6-300.fc20
kernel.i686 3.13.0-0.rc7.git0.2.fc21

In F20 I get ~520 fps before suspend and 0-90 fps after resume with looong hangs. When I use the rawhide kernel in F20 there is no behaviour change.

In rawhide I get ~75 fps before and after suspend-resume with standard kernel and no hangs. When I installed PAE kernel, I get ~570 fps before suspend and the same hangs with 0-100 fps after resume.

So it seems the problem is caused by PAE kernel, I haven't noticed I'm not using it in rawhide before, so thanks for asking for the versions.
Comment 13 Petr Kočandrle 2014-01-08 08:16:35 EST
Sorry, scratch the last comment. I've just found out that the version for rawhide should be 3.13.0-0-rc3.git5.1.fc21 (with debug). There was wrong default in grub.

I've retested with rc7 nodebug kernel and the hangs are there too, so the PAE kernel is not the cause.

Maybe the problem is it says "The framerate should be approximately the same as the monitor refresh rate." but then it runs frenzy over 500 fps, and maybe something changes in v-sync handling after suspend-resume.
Comment 14 Fedora End Of Life 2015-05-29 04:47:26 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-06-29 07:40:57 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.